Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2ebf::/16
First address
2ebf::
Last address
2ebf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2ebf:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.b.e.2.ip6.arpa
Split into smaller subnets/24

2ebf::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12ebf::/242ebf:ff:ffff:ffff:ffff:ffff:ffff:ffff
22ebf:100::/242ebf:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32ebf:200::/242ebf:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42ebf:300::/242ebf:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52ebf:400::/242ebf:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62ebf:500::/242ebf:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72ebf:600::/242ebf:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82ebf:700::/242ebf:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92ebf:800::/242ebf:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102ebf:900::/242ebf:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112ebf:a00::/242ebf:aff:ffff:ffff:ffff:ffff:ffff:ffff
122ebf:b00::/242ebf:bff:ffff:ffff:ffff:ffff:ffff:ffff
132ebf:c00::/242ebf:cff:ffff:ffff:ffff:ffff:ffff:ffff
142ebf:d00::/242ebf:dff:ffff:ffff:ffff:ffff:ffff:ffff
152ebf:e00::/242ebf:eff:ffff:ffff:ffff:ffff:ffff:ffff
162ebf:f00::/242ebf:fff:ffff:ffff:ffff:ffff:ffff:ffff
172ebf:1000::/242ebf:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182ebf:1100::/242ebf:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192ebf:1200::/242ebf:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202ebf:1300::/242ebf:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212ebf:1400::/242ebf:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222ebf:1500::/242ebf:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232ebf:1600::/242ebf:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242ebf:1700::/242ebf:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252ebf:1800::/242ebf:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262ebf:1900::/242ebf:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272ebf:1a00::/242ebf:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282ebf:1b00::/242ebf:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292ebf:1c00::/242ebf:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302ebf:1d00::/242ebf:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312ebf:1e00::/242ebf:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322ebf:1f00::/242ebf:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332ebf:2000::/242ebf:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342ebf:2100::/242ebf:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352ebf:2200::/242ebf:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362ebf:2300::/242ebf:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372ebf:2400::/242ebf:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382ebf:2500::/242ebf:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392ebf:2600::/242ebf:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402ebf:2700::/242ebf:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412ebf:2800::/242ebf:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422ebf:2900::/242ebf:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432ebf:2a00::/242ebf:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442ebf:2b00::/242ebf:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452ebf:2c00::/242ebf:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462ebf:2d00::/242ebf:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472ebf:2e00::/242ebf:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482ebf:2f00::/242ebf:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492ebf:3000::/242ebf:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502ebf:3100::/242ebf:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512ebf:3200::/242ebf:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522ebf:3300::/242ebf:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532ebf:3400::/242ebf:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542ebf:3500::/242ebf:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552ebf:3600::/242ebf:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562ebf:3700::/242ebf:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572ebf:3800::/242ebf:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582ebf:3900::/242ebf:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592ebf:3a00::/242ebf:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602ebf:3b00::/242ebf:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612ebf:3c00::/242ebf:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622ebf:3d00::/242ebf:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632ebf:3e00::/242ebf:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642ebf:3f00::/242ebf:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652ebf:4000::/242ebf:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662ebf:4100::/242ebf:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672ebf:4200::/242ebf:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682ebf:4300::/242ebf:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692ebf:4400::/242ebf:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702ebf:4500::/242ebf:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712ebf:4600::/242ebf:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722ebf:4700::/242ebf:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732ebf:4800::/242ebf:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742ebf:4900::/242ebf:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752ebf:4a00::/242ebf:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762ebf:4b00::/242ebf:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772ebf:4c00::/242ebf:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782ebf:4d00::/242ebf:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792ebf:4e00::/242ebf:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802ebf:4f00::/242ebf:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812ebf:5000::/242ebf:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822ebf:5100::/242ebf:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832ebf:5200::/242ebf:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842ebf:5300::/242ebf:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852ebf:5400::/242ebf:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862ebf:5500::/242ebf:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872ebf:5600::/242ebf:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882ebf:5700::/242ebf:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892ebf:5800::/242ebf:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902ebf:5900::/242ebf:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912ebf:5a00::/242ebf:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922ebf:5b00::/242ebf:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932ebf:5c00::/242ebf:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942ebf:5d00::/242ebf:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952ebf:5e00::/242ebf:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962ebf:5f00::/242ebf:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972ebf:6000::/242ebf:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982ebf:6100::/242ebf:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992ebf:6200::/242ebf:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002ebf:6300::/242ebf:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012ebf:6400::/242ebf:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022ebf:6500::/242ebf:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032ebf:6600::/242ebf:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042ebf:6700::/242ebf:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052ebf:6800::/242ebf:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062ebf:6900::/242ebf:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072ebf:6a00::/242ebf:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082ebf:6b00::/242ebf:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092ebf:6c00::/242ebf:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102ebf:6d00::/242ebf:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112ebf:6e00::/242ebf:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122ebf:6f00::/242ebf:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132ebf:7000::/242ebf:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142ebf:7100::/242ebf:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152ebf:7200::/242ebf:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162ebf:7300::/242ebf:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172ebf:7400::/242ebf:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182ebf:7500::/242ebf:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192ebf:7600::/242ebf:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202ebf:7700::/242ebf:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212ebf:7800::/242ebf:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222ebf:7900::/242ebf:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232ebf:7a00::/242ebf:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242ebf:7b00::/242ebf:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252ebf:7c00::/242ebf:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262ebf:7d00::/242ebf:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272ebf:7e00::/242ebf:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282ebf:7f00::/242ebf:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292ebf:8000::/242ebf:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302ebf:8100::/242ebf:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312ebf:8200::/242ebf:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322ebf:8300::/242ebf:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332ebf:8400::/242ebf:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342ebf:8500::/242ebf:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352ebf:8600::/242ebf:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362ebf:8700::/242ebf:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372ebf:8800::/242ebf:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382ebf:8900::/242ebf:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392ebf:8a00::/242ebf:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402ebf:8b00::/242ebf:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412ebf:8c00::/242ebf:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422ebf:8d00::/242ebf:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432ebf:8e00::/242ebf:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442ebf:8f00::/242ebf:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452ebf:9000::/242ebf:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462ebf:9100::/242ebf:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472ebf:9200::/242ebf:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482ebf:9300::/242ebf:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492ebf:9400::/242ebf:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502ebf:9500::/242ebf:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512ebf:9600::/242ebf:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522ebf:9700::/242ebf:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532ebf:9800::/242ebf:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542ebf:9900::/242ebf:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552ebf:9a00::/242ebf:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562ebf:9b00::/242ebf:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572ebf:9c00::/242ebf:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582ebf:9d00::/242ebf:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592ebf:9e00::/242ebf:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602ebf:9f00::/242ebf:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612ebf:a000::/242ebf:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622ebf:a100::/242ebf:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632ebf:a200::/242ebf:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642ebf:a300::/242ebf:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652ebf:a400::/242ebf:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662ebf:a500::/242ebf:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672ebf:a600::/242ebf:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682ebf:a700::/242ebf:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692ebf:a800::/242ebf:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702ebf:a900::/242ebf:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712ebf:aa00::/242ebf:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722ebf:ab00::/242ebf:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732ebf:ac00::/242ebf:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742ebf:ad00::/242ebf:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752ebf:ae00::/242ebf:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762ebf:af00::/242ebf:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772ebf:b000::/242ebf:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782ebf:b100::/242ebf:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792ebf:b200::/242ebf:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802ebf:b300::/242ebf:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812ebf:b400::/242ebf:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822ebf:b500::/242ebf:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832ebf:b600::/242ebf:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842ebf:b700::/242ebf:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852ebf:b800::/242ebf:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862ebf:b900::/242ebf:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872ebf:ba00::/242ebf:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882ebf:bb00::/242ebf:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892ebf:bc00::/242ebf:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902ebf:bd00::/242ebf:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912ebf:be00::/242ebf:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922ebf:bf00::/242ebf:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932ebf:c000::/242ebf:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942ebf:c100::/242ebf:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952ebf:c200::/242ebf:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962ebf:c300::/242ebf:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972ebf:c400::/242ebf:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982ebf:c500::/242ebf:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992ebf:c600::/242ebf:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002ebf:c700::/242ebf:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012ebf:c800::/242ebf:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022ebf:c900::/242ebf:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032ebf:ca00::/242ebf:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042ebf:cb00::/242ebf:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052ebf:cc00::/242ebf:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062ebf:cd00::/242ebf:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072ebf:ce00::/242ebf:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082ebf:cf00::/242ebf:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092ebf:d000::/242ebf:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102ebf:d100::/242ebf:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112ebf:d200::/242ebf:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122ebf:d300::/242ebf:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132ebf:d400::/242ebf:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142ebf:d500::/242ebf:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152ebf:d600::/242ebf:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162ebf:d700::/242ebf:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172ebf:d800::/242ebf:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182ebf:d900::/242ebf:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192ebf:da00::/242ebf:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202ebf:db00::/242ebf:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212ebf:dc00::/242ebf:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222ebf:dd00::/242ebf:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232ebf:de00::/242ebf:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242ebf:df00::/242ebf:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252ebf:e000::/242ebf:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262ebf:e100::/242ebf:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272ebf:e200::/242ebf:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282ebf:e300::/242ebf:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292ebf:e400::/242ebf:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302ebf:e500::/242ebf:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312ebf:e600::/242ebf:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322ebf:e700::/242ebf:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332ebf:e800::/242ebf:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342ebf:e900::/242ebf:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352ebf:ea00::/242ebf:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362ebf:eb00::/242ebf:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372ebf:ec00::/242ebf:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382ebf:ed00::/242ebf:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392ebf:ee00::/242ebf:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402ebf:ef00::/242ebf:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412ebf:f000::/242ebf:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422ebf:f100::/242ebf:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432ebf:f200::/242ebf:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442ebf:f300::/242ebf:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452ebf:f400::/242ebf:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462ebf:f500::/242ebf:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472ebf:f600::/242ebf:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482ebf:f700::/242ebf:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492ebf:f800::/242ebf:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502ebf:f900::/242ebf:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512ebf:fa00::/242ebf:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522ebf:fb00::/242ebf:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532ebf:fc00::/242ebf:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542ebf:fd00::/242ebf:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552ebf:fe00::/242ebf:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562ebf:ff00::/242ebf:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses